public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrew Ammerlaan" <andrewammerlaan@riseup.net>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: media-video/qliveplayer/
Date: Mon, 15 Feb 2021 07:11:12 +0000 (UTC)	[thread overview]
Message-ID: <1613318133.abfd0675a9b0deefe183b1822c5c3195550ca20d.andrewammerlaan@gentoo> (raw)

commit:     abfd0675a9b0deefe183b1822c5c3195550ca20d
Author:     Ronny (tastytea) Gutbrod <gentoo <AT> tastytea <DOT> de>
AuthorDate: Sun Feb 14 15:51:50 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Sun Feb 14 15:55:33 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=abfd0675

media-video/qliveplayer: Fix dependencies.

dev-qt/qtdeclarative[widgets] pulls in dev-qt/qtcore, dev-qt/qtgui,
dev-qt/qtnetwork and dev-qt/qtwidgets.
Added dev-qt/qtquickcontrols and dev-qt/qtquickcontrols2.

Closes: https://bugs.gentoo.org/770529

Signed-off-by: Ronny (tastytea) Gutbrod <gentoo <AT> tastytea.de>

 .../qliveplayer/qliveplayer-3.21.0-r1.ebuild       | 59 ++++++++++++++++++++++
 .../qliveplayer/qliveplayer-3.21.1-r1.ebuild       | 59 ++++++++++++++++++++++
 2 files changed, 118 insertions(+)

diff --git a/media-video/qliveplayer/qliveplayer-3.21.0-r1.ebuild b/media-video/qliveplayer/qliveplayer-3.21.0-r1.ebuild
new file mode 100644
index 00000000..afb66067
--- /dev/null
+++ b/media-video/qliveplayer/qliveplayer-3.21.0-r1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit xdg cmake optfeature python-single-r1
+
+MY_P="QLivePlayer-${PV}"
+
+DESCRIPTION="A cute and useful Live Stream Player with danmaku support"
+HOMEPAGE="https://github.com/IsoaSFlus/QLivePlayer"
+SRC_URI="https://github.com/IsoaSFlus/QLivePlayer/archive/${PV}.tar.gz -> ${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+COMMON_DEPEND="
+	${PYTHON_DEPS}
+	>=dev-qt/qtdeclarative-5.12:5[widgets]
+	>=dev-qt/qtquickcontrols-5.12:5
+	>=dev-qt/qtquickcontrols2-5.12:5
+"
+RDEPEND="
+	${COMMON_DEPEND}
+	$(python_gen_cond_dep '
+		dev-python/aiohttp[${PYTHON_USEDEP}]
+	')
+	media-video/ffmpeg
+	media-video/mpv
+	net-misc/curl
+"
+DEPEND="
+	${COMMON_DEPEND}
+	kde-frameworks/extra-cmake-modules:5
+"
+
+src_prepare()
+{
+	cmake_src_prepare
+	# fix python version
+	sed -i "s/python3/${EPYTHON}/" src/qlphelper/bilivideo.cpp \
+		|| die "Sed failed to set python version!"
+	sed -i "s/python3/${EPYTHON}/" src/qlphelper/danmakulauncher.cpp \
+		|| die "Sed failed to set python version!"
+	sed -i "s/python3/${EPYTHON}/" src/qlphelper/streamfinder.cpp \
+		|| die "Sed failed to set python version!"
+}
+
+pkg_postinst()
+{
+	xdg_pkg_postinst
+	optfeature "twitch support" "net-misc/streamlink"
+	optfeature "youtube support" "dev-python/protobuf-python net-misc/streamlink"
+}

diff --git a/media-video/qliveplayer/qliveplayer-3.21.1-r1.ebuild b/media-video/qliveplayer/qliveplayer-3.21.1-r1.ebuild
new file mode 100644
index 00000000..54fc2709
--- /dev/null
+++ b/media-video/qliveplayer/qliveplayer-3.21.1-r1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit xdg cmake optfeature python-single-r1
+
+MY_P="QLivePlayer-${PV}"
+
+DESCRIPTION="A cute and useful Live Stream Player with danmaku support"
+HOMEPAGE="https://github.com/IsoaSFlus/QLivePlayer"
+SRC_URI="https://github.com/IsoaSFlus/QLivePlayer/archive/${PV}.tar.gz -> ${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+COMMON_DEPEND="
+	${PYTHON_DEPS}
+	>=dev-qt/qtdeclarative-5.15:5[widgets]
+	>=dev-qt/qtquickcontrols-5.15:5
+	>=dev-qt/qtquickcontrols2-5.15:5
+"
+RDEPEND="
+	${COMMON_DEPEND}
+	$(python_gen_cond_dep '
+		dev-python/aiohttp[${PYTHON_USEDEP}]
+	')
+	media-video/ffmpeg
+	media-video/mpv
+	net-misc/curl
+"
+DEPEND="
+	${COMMON_DEPEND}
+	kde-frameworks/extra-cmake-modules:5
+"
+
+src_prepare()
+{
+	cmake_src_prepare
+	# fix python version
+	sed -i "s/python3/${EPYTHON}/" src/qlphelper/bilivideo.cpp \
+		|| die "Sed failed to set python version!"
+	sed -i "s/python3/${EPYTHON}/" src/qlphelper/danmakulauncher.cpp \
+		|| die "Sed failed to set python version!"
+	sed -i "s/python3/${EPYTHON}/" src/qlphelper/streamfinder.cpp \
+		|| die "Sed failed to set python version!"
+}
+
+pkg_postinst()
+{
+	xdg_pkg_postinst
+	optfeature "twitch support" "net-misc/streamlink"
+	optfeature "youtube support" "dev-python/protobuf-python net-misc/streamlink"
+}


             reply	other threads:[~2021-02-15  7:11 UTC|newest]

Thread overview: 34+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-02-15  7:11 Andrew Ammerlaan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-10-13 22:12 [gentoo-commits] repo/proj/guru:master commit in: media-video/qliveplayer/ Haelwenn Monnier
2021-10-13 22:12 Haelwenn Monnier
2021-09-10 16:40 Jian Lin
2021-09-10 16:25 [gentoo-commits] repo/proj/guru:dev " Jian Lin
2021-09-10 16:40 ` [gentoo-commits] repo/proj/guru:master " Jian Lin
2021-08-16 19:04 Jian Lin
2021-07-09  2:13 [gentoo-commits] repo/proj/guru:dev " Jian Lin
2021-07-09  2:20 ` [gentoo-commits] repo/proj/guru:master " Jian Lin
2021-07-09  2:13 [gentoo-commits] repo/proj/guru:dev " Jian Lin
2021-07-09  2:20 ` [gentoo-commits] repo/proj/guru:master " Jian Lin
2021-06-26 11:05 Jian Lin
2021-06-26 11:05 Jian Lin
2021-05-25 23:07 Haelwenn Monnier
2021-05-25 23:07 Haelwenn Monnier
2021-03-02  9:02 Theo Anderson
2021-03-02  9:02 Theo Anderson
2021-03-02  9:02 Theo Anderson
2021-02-16 21:10 Theo Anderson
2021-02-16 21:10 Theo Anderson
2021-02-16 21:10 Theo Anderson
2021-02-15  7:11 Andrew Ammerlaan
2021-02-15  7:11 Andrew Ammerlaan
2021-02-15  7:11 Andrew Ammerlaan
2021-02-02  6:41 Andrew Ammerlaan
2021-02-02  6:41 Andrew Ammerlaan
2021-02-02  6:41 Andrew Ammerlaan
2021-02-02  6:41 Andrew Ammerlaan
2021-01-03 12:09 Michał Górny
2021-01-03 12:09 Michał Górny
2021-01-02 12:13 Andrew Ammerlaan
2021-01-02 12:13 Andrew Ammerlaan
2020-12-27 12:48 Andrew Ammerlaan
2020-12-27 12:48 Andrew Ammerlaan
2020-12-06 18:44 Andrew Ammerlaan
2020-12-03 11:36 Andrew Ammerlaan
2020-11-29 10:34 Andrew Ammerlaan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1613318133.abfd0675a9b0deefe183b1822c5c3195550ca20d.andrewammerlaan@gentoo \
    --to=andrewammerlaan@riseup.net \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox